Qt Cryptographic Architecture: QCA::KeyStoreInfo Class Reference

# QCA::KeyStoreInfo Class Reference
[QCA user API]

Key store information, outside of a KeyStore object. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::KeyStoreInfo:

[legend]

List of all members.

## Public Member Functions
QString | id () const
bool | isNull () const
| KeyStoreInfo (const KeyStoreInfo &from)
| KeyStoreInfo (KeyStore::Type type, const QString &id, const QString &name)
| KeyStoreInfo ()
QString | name () const
KeyStoreInfo & | operator= (const KeyStoreInfo &from)
KeyStore::Type | type () const

## Detailed Description

Key store information, outside of a KeyStore object.

This class is used in conjunction with the Event class, and related classes such as PasswordAsker and TokenAsker, to describe the key store source of the Event.

Each KeyStoreInfo represents a single KeyStore, and describes the type of store (e.g. smartcard or PGP keyring - see KeyStore::Type), and a couple of names. The id() of a KeyStore is used to reference it, and is typically of the form "qca-mystorename". The name() of a KeyStore is used to describe it (i.e. this is the "pretty" name to show the user), and is typically of the form "My Store Name".

Examples:

  eventhandlerdemo.cpp.

## Constructor & Destructor Documentation

QCA::KeyStoreInfo::KeyStoreInfo | ( |  | ) |

Constructor.

Note:
  This form of constructor for KeyStoreInfo produces an object that does not describe any KeyStore, and isNull() will return true.

QCA::KeyStoreInfo::KeyStoreInfo | ( | KeyStore::Type | type,
|  | const QString & | id,
|  | const QString & | name |
| ) |  |  |

Standard constructor.

This builds a KeyStoreInfo object that descibes a KeyStore.

Parameters:

  | type | the type of KeyStore
  | id | the identification of the KeyStore
  | name | the descriptive name of the KeyStore

QCA::KeyStoreInfo::KeyStoreInfo | ( | const KeyStoreInfo & | from | ) |

Copy constructor.

Parameters:

  | from | the KeyStoreInfo to copy from

## Member Function Documentation

QString QCA::KeyStoreInfo::id | ( |  | ) | const

The unique identification of the KeyStore that this KeyStoreInfo object describes.

bool QCA::KeyStoreInfo::isNull | ( |  | ) | const

Test if this object is valid.

Returns:
  true if the object is not valid

QString QCA::KeyStoreInfo::name | ( |  | ) | const

The descriptive name of the KeyStore that this KeyStoreInfo object describes.

KeyStoreInfo& QCA::KeyStoreInfo::operator= | ( | const KeyStoreInfo & | from | ) |

Assignment operator.

Parameters:

  | from | the KeyStoreInfo to copy from

KeyStore::Type QCA::KeyStoreInfo::type | ( |  | ) | const

The Type of KeyStore that this KeyStoreInfo object describes.

The documentation for this class was generated from the following file:

- qca_keystore.h